
	;  Must live in ram, obviously
	;-------------------------------------
	section .inthand
	align 1

	global _flash_erac
	global _flash_writc

_flash_erac         ; void flash_erac(word bank2_offset)

	pshm k,ccr
	xgex

	ldd  # __EE_page
	tbxk
	tbek

	orp  # 00E0h

	ldaa # 0AAh
	staa 5555h
	ldaa # 055h
	staa 2AAAh
	ldaa # 080h
	staa 5555h
	ldaa # 0AAh
	staa 5555h
	ldaa # 055h
	staa 2AAAh
	ldaa # 030h
	staa 0,x

	brclr 0,x, # 80h, *

	pulm k,ccr
	rts

_flash_writc        ; void flash_writc(word bank2_offset, byte)

	pshm k,ccr
	xgex
	xgdy

	ldd  # __EE_page
	tbxk
	tbek

	xgdy

	orp  # 00E0h

	ldaa # 0AAh
	staa 5555h
	ldaa # 055h
	staa 2AAAh
	ldaa # 0A0h
	staa 5555h
	stab 0,x
L1
	tba
	eora 0,x
	bmi  L1

	pulm k,ccr
	rts

	;-----------------------------------------------------------
	section .text
	align 1

	global _flash_readc

_flash_readc        ; byte flash_readc(word bank2_offset)

	pshm k
	xgex

	ldd  # __EE_page
	tbxk

	ldab 0,x
	pulm k
	clra
	rts

